Index: src/backend/utils/Makefile
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/utils/Makefile,v
retrieving revision 1.27
diff -c -p -r1.27 Makefile
*** src/backend/utils/Makefile	17 Mar 2008 19:44:41 -0000	1.27
--- src/backend/utils/Makefile	31 Jul 2008 20:40:34 -0000
*************** $(SUBDIRS:%=%-recursive): fmgroids.h
*** 20,25 ****
--- 20,29 ----
  fmgroids.h fmgrtab.c: Gen_fmgrtab.sh $(top_srcdir)/src/include/catalog/pg_proc.h
  	AWK='$(AWK)' $(SHELL) $< $(top_srcdir)/src/include/catalog/pg_proc.h
  
+ ifneq ($(enable_dtrace), yes)
+ probes.h: Gen_dummy_probes.sed
+ endif
+ 
  probes.h: probes.d
  ifeq ($(enable_dtrace), yes)
  	$(DTRACE) -h -s $< -o $@.tmp
Index: src/backend/utils/Gen_dummy_probes.sed
===================================================================
RCS file: /home/alvherre/Code/cvs/pgsql/src/backend/utils/Gen_dummy_probes.sed,v
retrieving revision 1.1
diff -c -p -r1.1 Gen_dummy_probes.sed
*** src/backend/utils/Gen_dummy_probes.sed	17 Mar 2008 19:44:41 -0000	1.1
--- src/backend/utils/Gen_dummy_probes.sed	31 Jul 2008 20:40:41 -0000
***************
*** 6,16 ****
  # $PostgreSQL: pgsql/src/backend/utils/Gen_dummy_probes.sed,v 1.1 2008-03-17 19:44:41 petere Exp $
  #-------------------------------------------------------------------------
  
! /^probe /!d
! s/^probe \([^(]*\)\(.*\);/\1\2/
  s/__/_/g
  y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/
  s/^/#define TRACE_POSTGRESQL_/
! s/(INT, INT)/(INT1, INT2)/
  P
  s/(.*$/_ENABLED() (0)/
--- 6,21 ----
  # $PostgreSQL: pgsql/src/backend/utils/Gen_dummy_probes.sed,v 1.1 2008-03-17 19:44:41 petere Exp $
  #-------------------------------------------------------------------------
  
! /^[ 	]*probe /!d
! s/^[ 	]*probe \([^(]*\)\(.*\);/\1\2/
  s/__/_/g
  y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/
  s/^/#define TRACE_POSTGRESQL_/
! s/([^,)]\+)/(INT1)/
! s/([^,)]\+, [^,)]\+)/(INT1, INT2)/
! s/([^,)]\+, [^,)]\+, [^,)]\+)/(INT1, INT2, INT3)/
! s/([^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+)/(INT1, INT2, INT3, INT4)/
! s/([^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+)/(INT1, INT2, INT3, INT4, INT5)/
! s/([^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+, [^,)]\+)/(INT1, INT2, INT3, INT4, INT5, INT6)/
  P
  s/(.*$/_ENABLED() (0)/
